Home / Tech News / Featured Tech News / The Fallout: London mod requires players to remove Fallout 4 next-gen update

The Fallout: London mod requires players to remove Fallout 4 next-gen update

Fallout: London is finally dropping this month after a small delay. The ambitious mod will allow Fallout 4 players to explore an entirely new map, in a part of the world not explored in previous Fallout games. The mod will require players to uninstall Bethesda's recent ‘next-gen' update for the game, which did little to improve Fallout 4 but sure did break a lot of mods. 

Due to the next-gen version of Fallout 4 being ‘unstable', the devs behind this mod are letting players know that they'll need to downgrade their game version in order to access the mod. Fortunately, the mod itself will include a tool to remove the next-gen update changes as part of the installation process.

With that in mind, players shouldn't have to faff around too much getting the mod to run, as long as you follow the installation steps, everything should go to plan, unless you already have a heavily modded version of Fallout 4, in which case some of your other mods may cause conflicts. If you are planning on playing this, I would suggest doing it on a fresh install and then checking for compatible mods after if you want to tweak things further.

Fallout: London does not have a final release date yet, but the team behind the mod is working with GOG on testing and it will drop as soon as the greenlight comes through, which should be any day now.

Discuss on our Facebook page, HERE.

KitGuru Says: Will you be downloading the Fallout: London mod when it drops?

Become a Patron!

Check Also

Terraria is now the 8th best-selling game of all time – surpassing Super Mario Bros

Terraria is a quiet titan. Ever since it was first released back in 2011 the …